Issue 46729

Summary: easy access to showing/hiding text sections
Product: Writer Reporter: jwalter <joerg-walter>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CLOSED DUPLICATE QA Contact:
Severity: Trivial    
Priority: P3 CC: amalia_ocejo, elish, issues, openoffice
Version: 680m79   
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Step by Step Instructions to Recreate the Problem and screen shots to illustrate the problem.
none
Screen shot showing context menu as currently implemented none

Description jwalter 2005-04-05 15:38:36 UTC
Make hiding/showing text-areas ("Bereich") accessable in kontext menu
in the navigator.

Mark hidden areas in the text.
Comment 1 michael.ruess 2005-04-06 10:25:30 UTC
Reassigned to requirements.
Comment 2 ace_dent 2008-05-16 00:20:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 Amalia 2014-02-26 23:11:14 UTC
I believe there are two distinct bugs the original author intended to convey.  

I believe the two bugs are:
(1)A user is unable to display specific text that has previously been marked as hidden.

(2)A user is unable to see areas of hidden text in a document once something has been hidden.

In order to keep things clean and orderly, I have created a separate bug to address (#2) noted above (Bug 124321).  

I am updating this Bug Report to clarify my understanding of what the problem is and the results of my testing on the most recent version of Apache OO v4.0.1.


Problem:  My understanding of the original problem is that a user is unable to display or make visible specific text that has been previously marked as hidden.

Expected Results:  A user should have the ability to hide and/or unhide text.

Steps to Recreate the Problem:
(1)Preconditions are:
•	OpenOffice Writer is Open
•	Navigator is displayed
•	Document with Text is displayed and ready to use
(2)Select text
(3)Select <Insert> from ToolBar
(4)Select <Section>from Drop Down Menu
(5)<Insert Section> dialogue box appears
(6)Select <Hide> Checkbox from dialogue box
(7)Click <Insert> Button from dialogue box
(8)Selected Text marked hidden is no longer visible on document.
(9)Navigator displays a subsection labeled “Section1” under <Sections> indicating something was hidden.
(10)There is no way for a user to unhide the selected text

Impacts:  I was not able to find any functional impact to other areas of the application.  I do believe this bug would impact processes and legal documents that requires parties to review and understand everything listed on the documents.  

Additional Notes:
Tested with Apache OO v4.0.1, Windows 7 pc

Attachments:  Attached step by step instructions with screen shots to illustrate the problem.
Comment 4 Amalia 2014-02-26 23:11:49 UTC
Created attachment 82725 [details]
Step by Step Instructions to Recreate the Problem and screen shots to illustrate the problem.
Comment 5 beckyfiedler 2014-03-04 16:02:33 UTC
I am using AOO 4.0.1 on a Windows 7 machine

I am able to reproduce this problem using the steps Amalia provided.

However, my understanding of jwalter's issue is somewhat different. I believe jwalter is requesting the ability to show or hide text from the context menu. 

To access the context menu, right click the grayed out Hidden Text in the Navigator window. Current context menu items include outline level; drag mode; display; edit; and rename.

See attached screenshot.
Comment 6 beckyfiedler 2014-03-04 16:03:31 UTC
Created attachment 82790 [details]
Screen shot showing context menu as currently implemented
Comment 7 Edwin Sharp 2014-04-24 09:23:24 UTC
particular case of issue 7449

*** This issue has been marked as a duplicate of issue 7449 ***